<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Notification;

class PengajuanDitolakNotification extends Notification implements ShouldQueue
{
    use Queueable;

    protected $pengajuan;
    protected $alasan;

    /**
     * Create a new notification instance.
     *
     * @param mixed $pengajuan
     * @param string $alasan
     */
    public function __construct($pengajuan, $alasan)
    {
        $this->pengajuan = $pengajuan;
        $this->alasan = $alasan;
    }

    /**
     *
     * @param mixed $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return ['database'];
    }

    /**
     * Data yang akan disimpan di database
     *
     * @param mixed $notifiable
     * @return array
     */
    public function toArray($notifiable)
{

    return [];
}
}